Subject: [PATCHv6] support for AD5820 camera auto-focus coil

From: [email-masked] (Pavel Machek)
Date: Thu, 18 Aug 2016 12:45:39 +0200

On Thu 2016-08-11 14:16:34, Sakari Ailus wrote:
> On Tue, Aug 09, 2016 at 01:23:23AM +0200, Pavel Machek wrote:
> > On Wed 2016-08-10 15:01:05, Sakari Ailus wrote:
> > > On Mon, Aug 08, 2016 at 11:41:32PM +0200, Pavel Machek wrote:
> > > > On Mon 2016-08-08 11:09:56, Sakari Ailus wrote:
> > > > > On Fri, Aug 05, 2016 at 12:26:11PM +0200, Pavel Machek wrote:
> > > > > > 
> > > > > > This adds support for AD5820 autofocus coil, found for example in
> > > > > > Nokia N900 smartphone.
> > > > > 
> > > > > Thanks, Pavel!
> > > > > 
> > > > > Let's use V4L2_CID_FOCUS_ABSOLUTE, as is in the patch. If we get something
> > > > > better in the future, we'll switch to that then.
> > > > > 
> > > > > I've applied this to ad5820 branch in my tree.
> > > > 
> > > > Thanks. If I understands things correctly, both DTS patch and this patch are
> > > > waiting in your tree, so we should be good to go for 4.9 (unless some unexpected
> > > > problems surface)?
> > > 
> > > Yeah. I just compiled it but haven't tested it. I presume it'll work. :-)
> > 
> > I'm testing it on n900. I guess simpler hardware with ad5820 would be better for the
> > test...
> > 
> > What hardware do you have?
> 
> N900. What else could it be? :-) :-)

Heh. Basically anything is easier to develop for than n900 :-(.

Ok, for real testing, Ivaylo's camera patchset is useful, so that you
have picture to work with, plus your subdevs for omap3 patchset (which
needs a forward port).

I have patches against v4.7, if you are interested.

I guess subdevs for omap3 should be merged at this point. Do you have
any plans to do that, or should I take a look?

Best regards,

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html